Bug 498801 - There is no menu entry for git-gui after installed.
There is no menu entry for git-gui after installed.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: git (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Todd Zullinger
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-03 09:29 EDT by F.Prates
Modified: 2013-01-10 05:32 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-28 20:00:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description F.Prates 2009-05-03 09:29:42 EDT
Description of problem:
There is no menu entry for git-gui after installed.

Version-Release number of selected component (if applicable):
1.6.2.2 (git)

How reproducible:
check Applications(>Development) and System menus for a git-gui menu entry. typing git-gui in the shell doesn't work. There is not a link to or binary for git-gui in /usr/bin. (current path for git-gui: /usr/libexec/git-core/git-gui).

Steps to Reproduce:
1. yum install git-gui
2.
3.
  
Actual results:
No hint on how to execute git-gui.

Expected results:
A git-gui menu entry in Applications>Development

Additional info:
Comment 1 Todd Zullinger 2009-05-24 14:15:22 EDT
I'll add one for the next git update.  Here's the content I plan to add (in case anyone has suggestions):

[Desktop Entry]
Name=Git GUI
GenericName=Git GUI
Comment=A graphical interface to Git
Exec=git gui
Icon=/usr/share/git-gui/lib/git-gui.ico
Terminal=false
Type=Application
Categories=Development;
Comment 2 Bug Zapper 2009-06-09 11:03:48 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Todd Zullinger 2009-06-28 20:00:07 EDT
This was fixed in git-1.6.3.2-1 (in rawhide).  Thanks for the report.

Note You need to log in before you can comment on or make changes to this bug.